# tigase.jaxmpp.core.client.xmpp.modules.omemo

## Interfaces

- JaXMPPSignalProtocolStore
- OmemoModule.CipherFactory
- OmemoModule.CreateOMEMOSessionHandler
- OmemoModule.KeysRetrieverHandler
- OMEMOSessionsProvider

## Classes

- Bundle
- KeysRetriever
- OMEMOEncryptableMessage
- OmemoExtension
- OMEMOMessage
- OmemoModule
- XmppOMEMOSession

## Enums

- OMEMOEncryptableMessage.Encryption

## Exceptions

- CannotEncryptException
- OMEMOException